Skip to main content
GET
/
v1
/
stocks
/
non-us
/
kline
Daily OHLCV for non-US stocks (1d only)
curl --request GET \
  --url https://data-tools.prd.arrays.org/api/v1/stocks/non-us/kline \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "price_close": 123,
      "price_high": 123,
      "price_low": 123,
      "price_open": 123,
      "quote_currency": "<string>",
      "time_close": 123,
      "time_open": 123,
      "time_period_end": "<string>",
      "time_period_start": "<string>",
      "volume_traded": 123
    }
  ],
  "error": {
    "code": "RESOURCE_NOT_FOUND",
    "details": [
      {
        "field": "<string>",
        "got": "<string>",
        "reason": "<string>"
      }
    ],
    "docs_url": "<string>",
    "examples": [
      "<string>"
    ],
    "hint": "<string>",
    "message": "The requested resource was not found.",
    "suggestions": [
      "<string>"
    ]
  },
  "pagination": "<unknown>",
  "request_id": "<string>",
  "success": true
}

Authorizations

X-API-Key
string
header
required

API Key authentication. Example: "your-api-key-here"

Query Parameters

symbol
string
required

Non-US ticker in .<EXCHANGE_SUFFIX> form, e.g. 0700.HK

start_time
integer<int64>
required

Unix seconds (inclusive)

end_time
integer<int64>
required

Unix seconds (inclusive, > start_time)

interval
enum<string>
default:1d

Only 1d supported

Available options:
1d
limit
integer<int32>
default:500

Max bars (1-10000)

Response

OK

data
object[]
error
object
pagination
any
request_id
string
success
boolean